Показано с 1 по 5 из 5

Тема: php-74 Ошибка! Не установлены требуемые расширения:Поддержка jpeg в GD

  1. #1
    Junior Member
    Регистрация
    18.04.2019
    Сообщений
    6

    Question php-74 Ошибка! Не установлены требуемые расширения:Поддержка jpeg в GD

    ISPmanager Lite 5.109.1
    Centos 6.9

    Код:
    /opt/php74/bin/php -r 'print_r(gd_info());'
    Array
    (
        [GD Version] => bundled (2.1.0 compatible)
        [FreeType Support] => 1
        [FreeType Linkage] => with freetype
        [GIF Read Support] => 1
        [GIF Create Support] => 1
        [JPEG Support] =>
        [PNG Support] => 1
        [WBMP Support] => 1
        [XPM Support] => 1
        [XBM Support] => 1
        [WebP Support] => 1
        [BMP Support] => 1
        [TGA Read Support] => 1
        [JIS-mapped Japanese Font Support] =>
    )
    Подскажите как правильно установить поддержку JPEG ?

  2. #2

    По умолчанию

    Здравствуйте.

    Цитата Сообщение от Slawka Посмотреть сообщение
    Подскажите как правильно установить поддержку JPEG ?
    Цитата Сообщение от Slawka Посмотреть сообщение
    Centos 6.9
    Цитата Сообщение от Slawka Посмотреть сообщение
    php74
    Или поставить версию PHP подревнее (7.3, например), или взять ОС посовременнее.

  3. #3
    Junior Member
    Регистрация
    18.04.2019
    Сообщений
    6

    По умолчанию

    Цитата Сообщение от tuupic Посмотреть сообщение
    Здравствуйте.






    Или поставить версию PHP подревнее (7.3, например), или взять ОС посовременнее.
    Что-то ответы не вяжутся, подревнее php не нужно, вы уверены что в новой ОС есть эта поддержка, такая же проблема присутствует и в Амазоне, видимо выпилили из стандартного пакета поддержку jpeg и теперь модуль нужно собирать руками, поэтому и возник вопрос как правильно собрать что-бы при обновлении не сломалось

  4. #4

    По умолчанию

    Цитата Сообщение от Slawka Посмотреть сообщение
    Что-то ответы не вяжутся, подревнее php не нужно, вы уверены что в новой ОС есть эта поддержка, такая же проблема присутствует и в Амазоне, видимо выпилили из стандартного пакета поддержку jpeg и теперь модуль нужно собирать руками, поэтому и возник вопрос как правильно собрать что-бы при обновлении не сломалось
    Да, я уверен, что в CentOS-7 поддержка jpeg в расширении GD есть. В CentOS-6 версия libjpeg слишком старая. CentOS-6 выпущена в 2011 году(10 лет назад)

  5. #5
    Junior Member
    Регистрация
    18.04.2019
    Сообщений
    6

    По умолчанию

    Цитата Сообщение от tuupic Посмотреть сообщение
    Да, я уверен, что в CentOS-7 поддержка jpeg в расширении GD есть. В CentOS-6 версия libjpeg слишком старая. CentOS-6 выпущена в 2011 году(10 лет назад)
    Я просто уверен что вы человек, робот логичнее, а ваш логин наводит на мысль что ......

    Каков шанс встретить динозавра?

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •